parameters:
    oro_batch.orm.query_builder.count_query_optimizer.class: Oro\Bundle\BatchBundle\ORM\QueryBuilder\CountQueryBuilderOptimizer
    akeneo_batch.logger.batch_log_handler.class:             Oro\Bundle\BatchBundle\Monolog\Handler\BatchLogHandler

    oro_batch.job.repository.class: Oro\Bundle\BatchBundle\Job\DoctrineJobRepository

services:
    oro_batch.orm.query_builder.count_query_optimizer:
        class: %oro_batch.orm.query_builder.count_query_optimizer.class%
        calls:
            - [setEventDispatcher, ['@event_dispatcher']]

    oro_batch.job.repository:
        class: %oro_batch.job.repository.class%
        parent: akeneo_batch.job_repository
        decorates: akeneo_batch.job_repository
